function onBegin()
    local position_default = 2675
    local offset_per_room = 4736
    local target_pos = position_default + arguments*offset_per_room
    makeUnskippable()
		getLevel().SaveQuitDisabled = true
		disableMovement()
		waitUntilOnGround ()
    walkTo(target_pos)
    setFlag("Cutscene_music_fade", true)
    say("Elekitu_Dumber_Cutscene_Troll")
    setFlag("Cutscene_music_fade", false)
end

function onEnd()
    enableMovement()
		getLevel().SaveQuitDisabled = false
end